-- Farming Simulator 19 - FertilizingWeeder
-- by acert87 (Agrarservice Westrich)
-- Version 1.0.0.0
-- 26-05-2021
--------------------------------------

function Weeder:processWeederArea(workArea, dt)
    local spec = self.spec_weeder
    local xs,_,zs = getWorldTranslation(workArea.start)
    local xw,_,zw = getWorldTranslation(workArea.width)
    local xh,_,zh = getWorldTranslation(workArea.height)
    local area = FSDensityMapUtil.updateWeederArea(xs,zs, xw,zw, xh,zh, spec.maxGrowthState)
	
	local sprayTypeIndex = SprayType.FERTILIZER	
	
	FSDensityMapUtil.updateSprayArea(xs, zs, xw, zw, xh, zh, sprayTypeIndex)
	
	FSDensityMapUtil.updateFertilizerArea(xs, zs, xw, zw, xh, zh, sprayTypeIndex)

    spec.workAreaParameters.lastArea = spec.workAreaParameters.lastArea + area
    spec.workAreaParameters.lastStatsArea = spec.workAreaParameters.lastStatsArea + area
    spec.isWorking = self:getLastSpeed() > 0.5
    return area, area
end

